services:
  router:
    image: nginx-proxy
    ports:
      - 80:80
      - 443:443
    expose:
      - 80
      - 443
    networks:
      - penahub_frontend
      - default
    depends_on:
      - hub
      - docs
  hub:
    image: hub_front
    networks:
      - penahub_frontend
    hostname: hub
    restart: always
    container_name: hub_front
  docs:
    image: tmplategen_front
    networks:
      - penahub_frontend
    hostname: docs
    restart: always
    container_name: tmplategen_front
networks:
  penahub_frontend:
    driver: bridge
    attachable:  true
    internal: true
